org.apache.mina.transport.socket.nio

## Class NioSession

- java.lang.Object
- - org.apache.mina.core.session.AbstractIoSession
  - - org.apache.mina.transport.socket.nio.NioSession

- All Implemented Interfaces:
    IoSession

      public abstract class NioSession
      extends AbstractIoSession

  An `IoSession` which is managed by the NIO transport.
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Channel` | `channel` The communication channel
    `protected SelectionKey` | `key` The SelectionKey used for this session
    `protected IoProcessor<NioSession>` | `processor` The NioSession processor

    - ### Fields inherited from class org.apache.mina.core.session.AbstractIoSession

      `config`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NioSession(IoProcessor<NioSession> processor, IoService service, Channel channel)` Creates a new instance of NioSession, with its associated IoProcessor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IoFilterChain` | `getFilterChain()`
    `IoProcessor<NioSession>` | `getProcessor()`

    - ### Methods inherited from class org.apache.mina.core.session.AbstractIoSession

      `close, close, containsAttribute, decreaseReadBufferSize, decreaseScheduledBytesAndMessages, equals, getAttachment, getAttribute, getAttribute, getAttributeKeys, getAttributeMap, getBothIdleCount, getCloseFuture, getConfig, getCreationTime, getCurrentWriteMessage, getCurrentWriteRequest, getHandler, getId, getIdleCount, getLastBothIdleTime, getLastIdleTime, getLastIoTime, getLastReaderIdleTime, getLastReadTime, getLastWriterIdleTime, getLastWriteTime, getReadBytes, getReadBytesThroughput, getReaderIdleCount, getReadMessages, getReadMessagesThroughput, getScheduledWriteBytes, getScheduledWriteMessages, getService, getServiceAddress, getWriteRequestQueue, getWriterIdleCount, getWrittenBytes, getWrittenBytesThroughput, getWrittenMessages, getWrittenMessagesThroughput, hashCode, increaseIdleCount, increaseReadBufferSize, increaseReadBytes, increaseReadMessages, increaseScheduledWriteBytes, increaseScheduledWriteMessages, increaseWrittenBytes, increaseWrittenMessages, isBothIdle, isClosing, isConnected, isIdle, isReaderIdle, isReadSuspended, isScheduledForFlush, isWriterIdle, isWriteSuspended, notifyIdleness, notifyIdleSession, offerClosedReadFuture, offerFailedReadFuture, offerReadFuture, read, removeAttribute, removeAttribute, replaceAttribute, resumeRead, resumeWrite, scheduledForFlush, setAttachment, setAttribute, setAttribute, setAttributeIfAbsent, setAttributeIfAbsent, setAttributeMap, setCurrentWriteRequest, setScheduledForFlush, setScheduledWriteBytes, setScheduledWriteMessages, setWriteRequestQueue, suspendRead, suspendWrite, toString, unscheduledForFlush, updateThroughput, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.core.session.IoSession

      `getLocalAddress, getRemoteAddress, getTransportMetadata`

- - ### Field Detail

    - #### processor

          protected final IoProcessor<NioSession> processor

      The NioSession processor

    - #### channel

          protected final Channel channel

      The communication channel

    - #### key

          protected SelectionKey key

      The SelectionKey used for this session

  - ### Constructor Detail

    - #### NioSession

          protected NioSession(IoProcessor<NioSession> processor,
                    IoService service,
                    Channel channel)

      Creates a new instance of NioSession, with its associated IoProcessor.
      This method is only called by the inherited class.
      Parameters:
        `processor` - The associated IoProcessor

  - ### Method Detail

    - #### getFilterChain

          public IoFilterChain getFilterChain()

      Returns:
        the filter chain that only affects this session.

    - #### getProcessor

          public IoProcessor<NioSession> getProcessor()

      Specified by:
        `getProcessor` in class `AbstractIoSession`
      Returns:
        The associated IoProcessor for this session

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.